cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sw...@apache.org
Subject git commit: updated refs/heads/master to 03daae5
Date Tue, 02 Dec 2014 17:15:30 GMT
Repository: cloudstack
Updated Branches:
  refs/heads/master a72f14ea9 -> 03daae571


CLOUDSTACK-7959: fixed 'qemu-img convert' compat issue


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/03daae57
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/03daae57
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/03daae57

Branch: refs/heads/master
Commit: 03daae571b44354d31913c7e0ecb9e1f64cdcd55
Parents: a72f14e
Author: Will Stevens <wstevens@cloudops.com>
Authored: Tue Dec 2 12:15:16 2014 -0500
Committer: Will Stevens <wstevens@cloudops.com>
Committed: Tue Dec 2 12:15:16 2014 -0500

----------------------------------------------------------------------
 tools/appliance/build.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/03daae57/tools/appliance/build.sh
----------------------------------------------------------------------
diff --git a/tools/appliance/build.sh b/tools/appliance/build.sh
index 4ff99b8..24c90b6 100755
--- a/tools/appliance/build.sh
+++ b/tools/appliance/build.sh
@@ -427,7 +427,14 @@ function kvm_export() {
     log INFO "creating kvm export"
     local hdd_path="${1}"
     vboxmanage internalcommands converttoraw -format vdi "${hdd_path}" raw.img
-    qemu-img convert -f raw -c -O qcow2 raw.img "${appliance_build_name}-kvm.qcow2"
+    set +e
+    qemu-img convert -o compat=0.10 -f raw -c -O qcow2 raw.img "${appliance_build_name}-kvm.qcow2"
+    local qemuresult=$?
+    set -e
+    if [ ${qemuresult} != 0 ]; then
+      log INFO "'qemu-img convert' failed, trying without compat option"
+      qemu-img convert -f raw -c -O qcow2 raw.img "${appliance_build_name}-kvm.qcow2"
+    fi
     add_on_exit rm -f raw.img
     bzip2 "${appliance_build_name}-kvm.qcow2"
     mv "${appliance_build_name}-kvm.qcow2.bz2" dist/


Mime
View raw message